// @flow
// $FlowFixMe
import { Platform, StyleSheet } from 'react-native';
import { border } from '../Utils/Theme';

const { radius: BORDER_RADIUS } = border;

const styles = StyleSheet.create({
  button: {
    borderRadius: BORDER_RADIUS,
    overflow: 'hidden',
    ...Platform.select({
      web: {
        boxSizing: 'border-box',
        display: 'inline-block',
      },
    }),
  },
  normal: {
    height: 36,
    minWidth: 64,
    paddingTop: 10,
    paddingBottom: 10,
    paddingLeft: 16,
    paddingRight: 16,
    ...Platform.select({
      web: {
        userSelect: 'none',
        display: 'block',
      },
    }),
  },
  compact: {
    paddingLeft: 8,
    paddingRight: 8,
  },
  dense: {
    height: 32,
    paddingTop: 8,
    paddingBottom: 8,
  },
});

export default styles;
